as.met {oce} | R Documentation

## Coerce Data into Met Object

### Description

Coerces a dataset into a met dataset. This function is used by `read.met`, and may be used to construct objects that behave as though read by that function.

### Usage

    as.met(time, temperature, pressure, u, v,
      filename = "(constructed from data)")

### Arguments

`time` | Vector of obseration times (or character strings that can be coerced into times).
`temperature` | vector of temperatures.
`pressure` | vector of pressures.
`u` | vector of eastward wind speed in m/s.
`v` | vector of northward wind speed in m/s.
`filename` | optional string indicating data source

### Value

An object of `met-class`.

### Author(s)

Dan Kelley

### See Also

Other things related to `met` data: `[[,met-method`, `[[<-,met-method`, `met-class`, `met`, `plot,met-method`, `read.met`, `subset,met-method`, `summary,met-method`

[Package oce version 0.9-20 Index]